Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.load_balancers.l7_policies.rules.replace(
l7rule_id="023f2e34-7806-443b-bfae-16c324569a3d",
project_id=1,
region_id=1,
l7policy_id="023f2e34-7806-443b-bfae-16c324569a3d",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.LoadBalancers.L7Policies.Rules.Replace(
context.TODO(),
"023f2e34-7806-443b-bfae-16c324569a3d",
cloud.LoadBalancerL7PolicyRuleReplaceParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
L7policyID: "023f2e34-7806-443b-bfae-16c324569a3d",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
curl --request PUT \
--url https://api.gcore.com/cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}/rules/{l7rule_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"compare_type": "REGEX",
"invert": true,
"key": "the name of the cookie or header to evaluate.",
"tags": [
"test_tag_1",
"test_tag_2"
],
"type": "PATH",
"value": "/images*"
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compare_type: 'REGEX',
invert: true,
key: 'the name of the cookie or header to evaluate.',
tags: ['test_tag_1', 'test_tag_2'],
type: 'PATH',
value: '/images*'
})
};
fetch('https://api.gcore.com/cloud/v1/l7policies/{project_id}/{region_id}/{l7policy_id}/rules/{l7rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Load Balancers
Replace load balancer L7 rule properties
PUT
/
cloud
/
v1
/
l7policies
/
{project_id}
/
{region_id}
/
{l7policy_id}
/
rules
/
{l7rule_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.load_balancers.l7_policies.rules.replace(
l7rule_id="023f2e34-7806-443b-bfae-16c324569a3d",
project_id=1,
region_id=1,
l7policy_id="023f2e34-7806-443b-bfae-16c324569a3d",
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.LoadBalancers.L7Policies.Rules.Replace(
context.TODO(),
"023f2e34-7806-443b-bfae-16c324569a3d",
cloud.LoadBalancerL7PolicyRuleReplaceParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
L7policyID: "023f2e34-7806-443b-bfae-16c324569a3d",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
L7 policy ID
Example:
"023f2e34-7806-443b-bfae-16c324569a3d"
L7 rule ID
Example:
"023f2e34-7806-443b-bfae-16c324569a3d"
Body
application/json
The comparison type for the L7 rule
Available options:
CONTAINS, ENDS_WITH, EQUAL_TO, REGEX, STARTS_WITH Example:
"REGEX"
When true the logic of the rule is inverted.
Examples:
true
false
The key to use for the comparison. Required for COOKIE and HEADER type only.
Maximum string length:
255Example:
"the name of the cookie or header to evaluate."
A list of simple strings assigned to the l7 rule
Example:
["test_tag_1", "test_tag_2"]
The L7 rule type
Available options:
COOKIE, FILE_TYPE, HEADER, HOST_NAME, PATH, SSL_CONN_HAS_CERT, SSL_DN_FIELD, SSL_VERIFY_RESULT Example:
"PATH"
The value to use for the comparison
Required string length:
1 - 255Example:
"/images*"
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?